"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  launchCamera: true,
  launchImageLibrary: true
};
exports.launchCamera = launchCamera;
exports.launchImageLibrary = launchImageLibrary;

var _reactNative = require("react-native");

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
const DEFAULT_OPTIONS = {
  mediaType: 'photo',
  videoQuality: 'high',
  quality: 1,
  maxWidth: 0,
  maxHeight: 0,
  includeBase64: false,
  saveToPhotos: false,
  durationLimit: 0,
  cameraType: 'back'
};

function launchCamera(options, callback) {
  if (typeof callback !== 'function') {
    console.error('Send proper callback function, check API');
    return;
  }

  _reactNative.NativeModules.ImageCoolPicker.launchCamera({ ...DEFAULT_OPTIONS,
    ...options
  }, callback);
}

function launchImageLibrary(options, callback) {
  if (typeof callback !== 'function') {
    console.error('Send proper callback function, check API');
    return;
  }

  _reactNative.NativeModules.ImageCoolPicker.launchImageLibrary({ ...DEFAULT_OPTIONS,
    ...options
  }, callback);
}
//# sourceMappingURL=index.js.map